from django.urls import path
from . import views

app_name = "campus"

urlpatterns = [
    path("catalogo/", views.portal_catalog_view, name="portal_elearning"),
    path("mi-aprendizaje/", views.my_learning_view, name="my_learning"),
    path("curso/<slug:slug>/continuar/", views.course_resume_view, name="resume_course"),
    path("curso/<slug:slug>/matricular/", views.enroll_course_view, name="enroll_course"),
    path("curso/<slug:slug>/leccion/<slug:lesson_slug>/", views.lesson_player_view, name="lesson_player"),
    path("leccion/<int:lesson_id>/toggle/", views.lesson_toggle_progress_view, name="lesson_toggle_progress"),
    path("curso/<slug:slug>/examen/<int:evaluation_id>/", views.quiz_detail_view, name="quiz_detail"),
    path("curso/<slug:slug>/examen/<int:evaluation_id>/submit/", views.quiz_submit_view, name="quiz_submit"),
]
